Bug 679107 - TypeError: argument 2 to map() must support iteration
TypeError: argument 2 to map() must support iteration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:2b36847566ccf6509...
:
Depends On:
Blocks: F15Alpha/F15AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-02-21 10:56 EST by James Laska
Modified: 2013-09-02 02:53 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-15.20.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-24 22:50:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (1.81 MB, text/plain)
2011-02-21 10:56 EST, James Laska
no flags Details
Attached traceback automatically from anaconda. (554.25 KB, text/plain)
2011-02-21 12:06 EST, James Laska
no flags Details
Attached traceback automatically from anaconda. (502.03 KB, text/plain)
2011-02-21 13:00 EST, Dennis Gilmore
no flags Details

  None (edit)
Description James Laska 2011-02-21 10:56:50 EST
The following was filed automatically by anaconda:
anaconda 15.20 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/installclass.py", line 161, in setGroupSelection
    map(lambda x: anaconda.backend.selectGroup(x), grps)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/installclasses/fedora.py", line 78, in setGroupSelection
    BaseInstallClass.setGroupSelection(self, anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 215, in doBasePackageSelect
    anaconda.instClass.setGroupSelection(anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 211, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 130, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1346, in setScreen
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1258, in nextClicked
    self.setScreen ()
TypeError: argument 2 to map() must support iteration
Comment 1 James Laska 2011-02-21 10:56:54 EST
Created attachment 479944 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2011-02-21 10:57:52 EST
I hit this bug after manually patching for bug#672030, and continuing the install.
Comment 3 James Laska 2011-02-21 12:06:13 EST
Created attachment 479958 [details]
Attached traceback automatically from anaconda.
Comment 4 James Laska 2011-02-21 12:22:07 EST
Proposing as an Alpha blocker as this impacts the following alpha criteria [1]:

    "The installer must boot (if appropriate) and run on all 
     primary architectures from default live image, DVD, and 
     boot.iso install media"

In my testing, this appears to happen consistently.  I'm not aware of any workarounds at this time.  I suspect this will impact all live install users, so I am proposing it as a blocker.

[1] https://fedoraproject.org/wiki/Fedora_15_Alpha_Release_Criteria
Comment 5 Dennis Gilmore 2011-02-21 13:00:00 EST
Created attachment 479973 [details]
Attached traceback automatically from anaconda.
Comment 6 Dennis Gilmore 2011-02-21 13:01:30 EST
I was able to repoduce.
Comment 7 James Laska 2011-02-21 14:19:14 EST
Discussed with dgilmore and clumens on IRC.  Marking as an AcceptedBlocker for F15Alpha
Comment 8 Fedora Update System 2011-02-21 14:35:09 EST
anaconda-15.20.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.20.1-1.fc15
Comment 9 Fedora Update System 2011-02-21 15:38:32 EST
anaconda-15.20.1-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/anaconda-15.20.1-1.fc15
Comment 10 James Laska 2011-02-22 08:44:06 EST
Confirmed fix with anaconda-15.20.1-1.fc15 (RC1)
Comment 11 Fedora Update System 2011-02-24 22:50:09 EST
anaconda-15.20.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.